MIPI_DSI_CREATE_PACK(9)

NAME
mipi_dsi_create_packet - create a packet from a message according to the DSI protocol

SYNOPSIS

int mipi_dsi_create_packet(struct mipi_dsi_packet * packet, const struct mipi_dsi_msg * msg);

ARGUMENTS

packet
    pointer to a DSI packet structure

msg
    message to translate into a packet

RETURN

0 on success or a negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT